<?php

/**
 * @file
 * Related by Terms admin functions.
 */

/**
 * Create administration form page.
 */
function relatedbyterms_config_form() {

  $form['relatedbyterms_block_title'] = array(
    '#type' => 'textfield',
    '#title' => t('Block title'),
    '#required' => FALSE,
    '#default_value' => get_relatedbyterms_block_title(),
    '#description' => t('This is the title that will be shown to the users. You can use &lt;none&gt; for no title.'),
  );

  $form['relatedbyterms_elements_displayed'] = array(
    '#type' => 'textfield',
    '#title' => t('Number of nodes'),
    '#size' => 8,
    '#required' => FALSE,
    '#default_value' => get_relatedbyterms_elements_displayed(),
    '#description' => t('Number of nodes to show in the block. Use 0 for no limit.'),
  );

  $form['relatedbyterms_display_type'] = array(
    '#type' => 'select',
    '#title' => t('Display type'),
    '#options' => relatedbyterms_get_view_modes(),
    '#required' => FALSE,
    '#default_value' => get_relatedbyterms_display_type(),
    '#description' => t('This is the view mode that will be used to render the elements in the block.'),
  );

  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Save'),
  );

  return $form;
}

/**
 * Implement config_form submit.
 */
function relatedbyterms_config_form_submit($form, &$form_state) {
  variable_set('relatedbyterms_block_title', $form_state['values']['relatedbyterms_block_title']);
  variable_set('relatedbyterms_elements_displayed', (int) $form_state['values']['relatedbyterms_elements_displayed']);
  variable_set('relatedbyterms_display_type', $form_state['values']['relatedbyterms_display_type']);

  drupal_set_message(t('Configuration saved.'));
}
